
*   Line     Type   Procedure/Directive/Class
* ------  --------- -------------------------
*     28  Directive INCLUDE FoxCodeAddOn.H
*     30  Directive If dl_DEVELOPMENT
*     32  Directive Else
*     34  Directive Endif
*     47      Class VotreClassCustom AS iCustom
*     48  Procedure VotreClassCustom.Init
*     58  Procedure VotreClassCustom.Lanceur
*     76  Procedure VotreClassCustom.Destroy
*     83  Procedure VotreClassCustom.Release
*     90      Class iCustom AS Custom
*     95  Procedure iCustom.Init
*     99  Procedure iCustom.CreateReleaseCmd
*    119  Procedure iCustom.ReleaseThis
*    122  Procedure iCustom.Destroy
*    126  Procedure iCustom.Release
*    135  Procedure _WONTOP
*    136  Procedure _WTITLE
*    137  Procedure _EDGETLPOS
*    138  Procedure _EDGETLNUM
*    139  Procedure _EDGETPOS
*    140  Procedure _EDGETENV
*    141  Procedure _WFINDTITL
*    142  Procedure _WCLOSE

 
* main
#INCLUDE FoxCodeAddOn.H

#If dl_DEVELOPMENT
	Public oMAIN
#Else
	Local oMAIN
#Endif

Set Console Off

Cd (Justpath(Substr(Sys(16),Iif(Sys(16)="PROCEDURE",At(" ",Sys(16),2),1))))

 
Set Path To FoxCodeAddOn
DO SetEnv

oMAIN = Createobject("VotreClassCustom")

Read Events


Define Class VotreClassCustom As iCustom
	Procedure Init
		DoDefault()
		* Code d'initialisation propre  l'application principale

		* Lancer l'application dsirer
		* si 0 ou rien -- > application principal
		= This.Lanceur(0)

	Endproc

	Procedure Lanceur(N)
		* durant le dveloppement et les testes il est utile d'armorcer un bout de code pour
		* valuer et dboguer une partie de l'application. Comme exemple le lancement d'un formulaire2
		* par le formulaire1. Comme le formulaire1 est dboguer et tester, un code avec objet,
		* positionnement de tables et autres peut tre ncessaire au lancement du formulaire2
		*
		N = Iif(Vartype(N)="N",N,0)
		Do Case
			Case N = 1
				* code utile au lancement d'une partie de l'application
			Case N = 2
			Case N = 3
			Case N = 4
			OTHERWISE
				
					Do Form frmfoxcodeadd.SCX 
				* application pricipale lorsque les test sont fini
		Endcase
	Procedure Destroy()
		DoDefault()
		*debut de votre code ici
	Endproc



	Procedure Release()
		DoDefault()
		*debut de votre code ici
	Endproc
Enddefine


Define Class iCustom As Custom
	Hidden cCurrDir
	Hidden cmd_release
	Hidden oThis

	Procedure Init
		This.CreateReleaseCmd()
	Endproc

	Hidden Procedure CreateReleaseCmd()
		Store Iif(dl_DEVELOPMENT,"",This) To ;
			This.oThis     && a le meme effet qu'une variable plublique
		This.cCurrDir = Set("directory")
		Local ;
			lcFichierName As Character,;
			lcReleaseName As Character

		lcFichierName = Juststem((Substr(Sys(16),Iif(Sys(16)="PROCEDURE",At(" ",Sys(16),2),1))))
		lcReleaseName = "Release"+lcFichierName
		If Type(lcReleaseName)="U"
			_Screen.AddProperty(lcReleaseName,"")
		Endif
		DoIt = "ON KEY LABEL f12  _screen."+lcReleaseName+".ReleaseThis()"
		&DoIt
		DoIt = "_screen."+lcReleaseName
		This.cmd_release = DoIt
		&DoIt=This
	Endproc

	Procedure ReleaseThis
		This.Release()
	Endproc
	Procedure Destroy()
		On Key Label f12
		Cd(This.cCurrDir)
	Endproc
	Procedure Release()
		DoIt = This.cmd_release
		Store "" To &DoIt,This.oThis
		Release This
		Clear Events
	Endproc
Enddefine


Procedure _WONTOP 
Procedure _WTITLE 
Procedure _EDGETLPOS 
Procedure _EDGETLNUM 
Procedure _EDGETPOS 
Procedure _EDGETENV 
Procedure _WFINDTITL 
Procedure _WCLOSE 
