If File(".\type.dbf")=.F.
	Local lOk
	Do While lOk = .F.
		Try
			Create Table (".\type")( ;
				typefld	c(1),;
				itemtype c(50),;
				def c(250))
			lOk = .T.
		Catch To er
			Free Table Type
		Finally
		Endtry
	Enddo
	Index On Upper(typefld) Tag typefld
Else
	If Used("type")=.f.
		Select 0
		Use .\Type
	Endif
Endif

If Reccount()=0
	TEXT TO cTxt text NOSHOW
O
 COM Component
 Specifies the COM type library reference to display in AS clause IntelliSense lists. For more information, see COM Component Item Type.

C
 Command
 Specifies syntax completion items for Visual FoxPro commands. For more information, see Command Item Type.

E
 XML
 Specifies that the item is a property or method that has member metadata. For more information, see MemberData Extensibility.

F
 Function
 Specifies syntax completion items for Visual FoxPro functions, procedures, and user-defined functions. For more information, see Function Item Type.

P
 Property
 Specifies script references for displaying value editors for certain Visual FoxPro properties. For more information, see Property Item Type.

S
 Script
 Specifies the Visual FoxPro scripts to run. For more information, see Script Item Type.

T
 Typing
 Specifies items that appear in AS clause IntelliSense lists or when referencing objects. For more information, see Typing Item Type.

U
 User
 Specifies user-defined auto-expansion items. Unlike Command items, User items do not require exact pattern matches. For more information, see User Item Type.

V
 Version
 Specifies a special record for version and tracking information (reserved). For more information, see Version Item Type.

	ENDTEXT

	nLine = Alines(aTxt,ctxt)

	iLine = 1
	Set Exact On
	Do While iLine< nLine+1
		If Len(aTxt(iLine))=1 And Seek(aTxt(iLine),"Type","TypeFld")=.T.
			iLine = Ascan(aTxt,"",iLine+1)+1
		Else
			Insert Into Type Values (aTxt(iLine),aTxt(iLine+1),aTxt(iLine+2))
			iLine=iLine+3
			If iLine<Alen(aTxt,1) And Empty(aTxt(iLine))
				iLine=iLine+1
				Loop
			Else
				Exit
			Endif
		Endif
	Enddo
Endif
